Add or update license

  • PUT /platform/license
Auth

Adds a new or updates an existing license.

Request body

The license to add or update.

license object required

Information about a license.

version integer · format: int32

Version of the license

uid string required

Unique identifier of the license

issuer string required

Issuer of the license

issued_to string required

Entity the license was issued to

issue_date_in_millis integer · format: int64 required

When the license was issued, in milliseconds since the Unix epoch

type string required

Type of the license

subscription_type string

Type of the license subscription

signature string required

Digital signature

start_date_in_millis integer · format: int64 required

Initial validity of the license, in milliseconds since the Unix epoch

expiry_date_in_millis integer · format: int64 required

When the license expires, in milliseconds since the Unix epoch

max_allocators integer · format: int32

Maximum number of allocators. Empty for version >= 3

max_ram_per_allocator_mb integer · format: int32

Maximum RAM per allocator in MB. Empty for version >= 3

max_instances integer · format: int32

Maximum number of instances. Only present for version 3

max_resource_units integer · format: int32

Maximum number of resource units, where each unit is 64GB. Only present for version > 3

operation_mode string

Operation mode

Responses

The license was updated.

application/json

Response Type: object